Bug 234742 - sysutils/cfengine*: Sets CONFLICTS twice
Summary: sysutils/cfengine*: Sets CONFLICTS twice
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 11:38 UTC by Tobias Kortkamp
Modified: 2019-01-10 02:28 UTC (History)
3 users (show)

See Also:
tobik: maintainer-feedback? (cy)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-01-08 11:38:33 UTC
The cfengine* ports all set CONFLICTS similar to this

CONFLICTS=      cfengine-masterfiles3[0-9]-* cfengine-masterfiles31[1-9]-*
[...]
CONFLICTS=      cfengine-masterfiles[6-9]*

The first CONFLICTS is never used.  Either this is a problem and they
should be merged or the first CONFLICTS should be removed.
Comment 1 commit-hook freebsd_committer 2019-01-09 03:54:06 UTC
A commit references this bug:

Author: cy
Date: Wed Jan  9 03:53:30 UTC 2019
New revision: 489751
URL: https://svnweb.freebsd.org/changeset/ports/489751

Log:
  Remove redundant CONFLICTS.

  PR:		234742
  Reported by:	tobik@
  MFH:		2019Q1

Changes:
  head/sysutils/cfengine-masterfiles-devel/Makefile
  head/sysutils/cfengine-masterfiles310/Makefile
  head/sysutils/cfengine-masterfiles311/Makefile
  head/sysutils/cfengine-masterfiles312/Makefile
  head/sysutils/cfengine-masterfiles313/Makefile
  head/sysutils/cfengine-masterfiles36/Makefile
  head/sysutils/cfengine-masterfiles37/Makefile
  head/sysutils/cfengine-masterfiles38/Makefile
  head/sysutils/cfengine-masterfiles39/Makefile
  head/sysutils/cfengine310/Makefile
  head/sysutils/cfengine311/Makefile
  head/sysutils/cfengine312/Makefile
  head/sysutils/cfengine313/Makefile
  head/sysutils/cfengine32/Makefile
  head/sysutils/cfengine33/Makefile
  head/sysutils/cfengine34/Makefile
  head/sysutils/cfengine35/Makefile
  head/sysutils/cfengine36/Makefile
  head/sysutils/cfengine37/Makefile
  head/sysutils/cfengine38/Makefile
  head/sysutils/cfengine39/Makefile
Comment 2 Cy Schubert freebsd_committer 2019-01-09 03:54:55 UTC
Thanks for the heads up.
Comment 3 commit-hook freebsd_committer 2019-01-10 02:28:16 UTC
A commit references this bug:

Author: cy
Date: Thu Jan 10 02:27:37 UTC 2019
New revision: 489845
URL: https://svnweb.freebsd.org/changeset/ports/489845

Log:
  MFH: r489751

  Remove redundant CONFLICTS.

  PR:		234742
  Reported by:	tobik@
  Approved by:	portmgr (miwi@)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/sysutils/cfengine-masterfiles-devel/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles310/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles311/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles312/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles313/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles36/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles37/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles38/Makefile
  branches/2019Q1/sysutils/cfengine-masterfiles39/Makefile
  branches/2019Q1/sysutils/cfengine310/Makefile
  branches/2019Q1/sysutils/cfengine311/Makefile
  branches/2019Q1/sysutils/cfengine312/Makefile
  branches/2019Q1/sysutils/cfengine313/Makefile
  branches/2019Q1/sysutils/cfengine32/Makefile
  branches/2019Q1/sysutils/cfengine33/Makefile
  branches/2019Q1/sysutils/cfengine34/Makefile
  branches/2019Q1/sysutils/cfengine35/Makefile
  branches/2019Q1/sysutils/cfengine36/Makefile
  branches/2019Q1/sysutils/cfengine37/Makefile
  branches/2019Q1/sysutils/cfengine38/Makefile
  branches/2019Q1/sysutils/cfengine39/Makefile